package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class BusinessAccountTest {

    BusinessAccount ba;


    @Before
    public void setUp(){

        ba = new BusinessAccount(5000);

    }

    @Test
    public void withdrawTest(){
        //when
        ba.withdraw(4999);

        //expected
        double expected = 1;

        //actual
        double actual = ba.getBalance();

        Assert.assertEquals(expected,actual,0);

    }



    @Test
    public void deposit(){
        //when
        ba.deposit(1000);

        //expected
        double expected = 6000;

        //actual
        double actual = ba.getBalance();

        Assert.assertEquals(expected,actual,0);
    }


    @Test
    public void getBalance(){
        //expected
        double expected = 5000;

        //actual
        double actual = ba.getBalance();

        Assert.assertEquals(expected,actual,0);







    }




}