package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CheckingAccountTest {


    //CheckingAccount ca = new CheckingAccount(5000);


    CheckingAccount ca;

    @Before
    public void setUp(){
        ca = new CheckingAccount(5000);
    }


    @Test
    public void withdrawTest(){
        //when
        ca.withdraw(500);

        //expected
        double expecetd = 4500;

        //actual
        double actual = ca.getBalance();

        Assert.assertEquals(expecetd,actual,0);
    }


    @Test
    public void deposit(){
        //when
        ca.deposit(500);

        //expected
        double expected = 5500;

        //actual
        double actual = ca.getBalance();

        Assert.assertEquals(expected,actual,0);
    }


    @Test
    public void getBalance(){
        //expected
        double expected = 5000;

        //actual
        double actual = ca.getBalance();

        Assert.assertEquals(expected,actual,0);
    }




}