package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class SavingsAccountTest {

    SavingAccount sa;


    @Before
    public void setUp(){
        sa = new SavingAccount(5000);
    }


    @Test
    public void withdraw(){
        //when
        sa.withdraw(1000);

        //expected
        double expected = 4000;

        //actual
        double actual = sa.getBalance();

        Assert.assertEquals(expected,actual,0);
    }



    @Test
    public void deposit(){
        //when
        sa.deposit(1000);

        //expected
        double expected = 6000;

        //actual
        double actual = sa.getBalance();

        Assert.assertEquals(expected,actual,0);
    }


    @Test
    public void getBalance(){
        //expected
        double expected = 5000;

        //actual
        double actual = sa.getBalance();

        Assert.assertEquals(expected,actual,0);
    }



}