package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class ATMTest {

    ATM atm;

    @Before
    public void setUp(){

        atm = new ATM();
        atm.add(new CheckingAccount(3000));
        atm.add(new SavingAccount(4000));
        atm.add(new BusinessAccount(5000));
    }


    @Test
    public void getTotal(){
        //expected
        double expected = 12000;

        //actual
        double actual = atm.getTotal();

        Assert.assertEquals(expected,actual,0);
    }




}